Bug 2772 - unescaped shell exec
: unescaped shell exec
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/minicom)
: unstable
: all Linux
: P4 blocker
Assigned To:
:
:
:
:
: 3459 7079
  Show dependency tree
 
Reported: 2003-07-18 19:12 by
Modified: 2006-12-17 16:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-07-18 19:12:50
Закачивал по zmodem музыку себе на ноутбук и понял, что символ ` (shell exec)
minicom-2.00.0-alt6 не экранируется. То есть послать файлы такие нельзя --- он
вызывает rz и получается битая командная строка.
Вдобавок подумал я: а что, если можно закачать по zmodem файл со специальным
именем, который при попытке его принять вызовет arbitrary shell command?
---

---
------- Comment #1 From 2003-07-18 19:14:29 -------
Хотя нет, в оригинале он вызывал sz всё-таки. Но это роли не играет.
------- Comment #2 From 2003-07-18 19:14:29 -------
Хотя нет, в оригинале он вызывал sz всё-таки. Но это роли не играет.
------- Comment #3 From 2003-08-12 23:27:25 -------
Проверил: в minicom Ctrl-A S выбираем zmodem выбираем, например,
\"a`z\" -- при посылке происходит не то, что ожидается нормальным
пользователем, а то что вы и сказали: команда rz передаётся shell с этим
символом, и shell обращается с ним как со специальным.


С sz ничего придумать не получилось: на терминале выполняется \"sz
a\\`z\", при приёме вызывается просто rz, он создаёт файл с таким именем,
никаких проблем. А как это произошло у Вас?

edited on: 13-08 00:24
------- Comment #4 From 2003-08-12 23:27:25 -------
Проверил: в minicom Ctrl-A S выбираем zmodem выбираем, например,
\"a`z\" -- при посылке происходит не то, что ожидается нормальным
пользователем, а то что вы и сказали: команда rz передаётся shell с этим
символом, и shell обращается с ним как со специальным.


С sz ничего придумать не получилось: на терминале выполняется \"sz
a\\`z\", при приёме вызывается просто rz, он создаёт файл с таким именем,
никаких проблем. А как это произошло у Вас?

edited on: 13-08 00:24
------- Comment #5 From 2003-08-12 23:31:04 -------
На 2.1-alt1 ошибка с rz повторяется.
------- Comment #6 From 2003-08-12 23:31:04 -------
На 2.1-alt1 ошибка с rz повторяется.
------- Comment #9 From 2003-11-28 11:30:04 -------
any news?
------- Comment #10 From 2004-02-28 18:19:53 -------
В BTS minicom я этого бага уже не нашёл. Какое текущее состояние?
------- Comment #11 From 2004-05-03 00:42:06 -------
Согласно "cvs -d:pserver:anonymous@cvs.alioth.debian.org:/cvsroot/minicom сo
minicom/ChangeLog", текущее состояние таково:

2003-09-27  Adam Lackorzynski  <adam@os.inf.tu-dresden.de>

        * src/util.c: fastexec(): disable execution through a shell,
           this is potentially security relevant (e.g. user selects a file
           with embedded shellcode for upload), so disable it for now and
           see if someone complains

Думаю, что надо backportить.
------- Comment #12 From 2004-07-02 14:34:15 -------
Согласен.
------- Comment #13 From 2004-08-08 20:54:50 -------
А воз и ныне там?
Может, пакет уже пора передать в хорошие руки?
------- Comment #14 From 2004-08-08 22:31:14 -------
Куда угодно, но чтобы в Мастере был! Он мне бывает нужен, пусть даже и с
дыркой. 
------- Comment #15 From 2004-08-09 12:37:17 -------
в contrib его
------- Comment #16 From 2004-12-23 18:29:39 -------
Кх-кх...
------- Comment #17 From 2004-12-23 18:32:17 -------
Может, пакет уже пора передать в хорошие руки?
------- Comment #18 From 2005-06-14 12:40:05 -------
Похоже что пора !
Ваня, что с пакетом ?
------- Comment #19 From 2005-06-14 13:42:17 -------
pilot: тебя печёт, ты и отбивайся? ;-)
------- Comment #20 From 2005-10-13 14:28:07 -------
fixed in minicom-2.1-alt2 
Приложил патч из Debian. Проверяйте.